=== modified file 'src/com/goldencode/p2j/util/PortTypeWrapper.java'
--- src/com/goldencode/p2j/util/PortTypeWrapper.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/util/PortTypeWrapper.java	2022-10-10 15:22:25 +0000
@@ -12,6 +12,7 @@
 ** 023 OM  20201030 Invalid attribute API support for getters/setters.
 **     OM  20201120 Added callback procedure management methods.
 **     CA  20221006 UNIQUE-ID is kept as Java type instead of BDT.  Refs #6827
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -555,7 +556,7 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(this.admData);
    }
@@ -567,7 +568,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData.assign(value);
    }
@@ -579,7 +580,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData.assign(value);
    }
@@ -591,7 +592,7 @@
     * @return   See above.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(this.uniqueId);
    }

=== modified file 'src/com/goldencode/p2j/util/ProcedureManager.java'
--- src/com/goldencode/p2j/util/ProcedureManager.java	2022-10-10 10:16:01 +0000
+++ src/com/goldencode/p2j/util/ProcedureManager.java	2022-10-10 15:22:37 +0000
@@ -214,6 +214,7 @@
 **                  UNIQUE-ID is kept as Java type instead of BDT.  Refs #6827
 **     CA  20221010 Performance improvements - avoid the ProcedureData lookup, by keeping a parallel stack of
 **                  this data for THIS-PROCEDURE.  Refs #6826
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -2704,7 +2705,7 @@
     * 
     * @return   See above.
     */
-   static character getADMData(Object referent)
+   static character admData(Object referent)
    {
       ProcedureData pp = locateProcedure(referent);
       return new character(pp.admData);
@@ -2719,7 +2720,7 @@
     * @param    value
     *           The new value.
     */
-   static void setADMData(Object referent, String value)
+   static void admData(Object referent, String value)
    {
       ProcedureData pp = locateProcedure(referent);
       pp.admData.assign(value);
@@ -2734,7 +2735,7 @@
     *
     * @return   The integer number of the children.
     */
-   static integer getUniqueID(Object referent)
+   static integer uniqueID(Object referent)
    {
       ProcedureData pp = locateProcedure(referent);
       return new integer(pp.uniqueID);

=== modified file 'src/com/goldencode/p2j/util/SOAPHeaderEntryImpl.java'
--- src/com/goldencode/p2j/util/SOAPHeaderEntryImpl.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/util/SOAPHeaderEntryImpl.java	2022-10-10 15:22:48 +0000
@@ -15,6 +15,7 @@
 ** 008 OM  20201120 Changed method names to fit the buffer no-bean prefix convention.
 **     OM  20210309 Removed deprecation warnings.
 **     CA  20221006 UNIQUE-ID is kept as Java type instead of BDT.  Refs #6827
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -477,7 +478,7 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(this.admData);
    }
@@ -489,7 +490,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData.assign(value);
    }
@@ -501,7 +502,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData.assign(value);
    }
@@ -513,7 +514,7 @@
     * @return   The integer number of the children.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(this.uniqueID);
    }

=== modified file 'src/com/goldencode/p2j/util/SOAPHeaderImpl.java'
--- src/com/goldencode/p2j/util/SOAPHeaderImpl.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/util/SOAPHeaderImpl.java	2022-10-10 15:22:55 +0000
@@ -15,6 +15,7 @@
 ** 007 CA  20140107 Added runtime support.
 ** 008 VVT 20220306 Uniform toString() support added.
 **     CA  20221006 UNIQUE-ID is kept as Java type instead of BDT.  Refs #6827
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -264,7 +265,7 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(this.admData);
    }
@@ -276,7 +277,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData.assign(value);
    }
@@ -288,7 +289,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData.assign(value);
    }
@@ -300,7 +301,7 @@
     * @return   The integer number of the children.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(this.uniqueID);
    }

=== modified file 'src/com/goldencode/p2j/util/UniqueID.java'
--- src/com/goldencode/p2j/util/UniqueID.java	2019-04-19 20:07:43 +0000
+++ src/com/goldencode/p2j/util/UniqueID.java	2022-10-10 15:23:12 +0000
@@ -2,12 +2,13 @@
 ** Module   : UniqueID.java
 ** Abstract : Define getter for UNIQUE-ID attribute.
 **
-** Copyright (c) 2013-2019, Golden Code Development Corporation.
+** Copyright (c) 2013-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------Description---------------------------------
 ** 001 CA  20130220 Created initial version.
 ** 002 EVL 20130930 Adding legacy attributes and methods annotation.
 ** 003 OM  20190419 Updated javadoc.
+** 004 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -77,5 +78,5 @@
     * @return  The unique integer number that identifies this object.
     */
    @LegacyAttribute(name = "UNIQUE-ID")
-   public integer getUniqueID();
+   public integer uniqueID();
 }

=== modified file 'src/com/goldencode/p2j/xml/SaxEntityImpl.java'
--- src/com/goldencode/p2j/xml/SaxEntityImpl.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/xml/SaxEntityImpl.java	2022-10-10 15:23:20 +0000
@@ -13,6 +13,7 @@
 ** 005 EVK 20140113 Moved method valid() to XCommonImpl class.
 ** 006 OM  20201030 Invalid attribute API support for getters/setters.
 ** 007 CA  20221006 UNIQUE-ID is kept as Java type instead of BDT.  Refs #6827
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -104,7 +105,7 @@
     * @return   The unique integer value for a given handle object type within an 4gl session.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(uniqueId);
    }
@@ -115,7 +116,7 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(admData);
    }
@@ -127,9 +128,9 @@
     *           The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
-      setADMData(new character(value));
+      admData(new character(value));
    }
 
    /**
@@ -139,7 +140,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       admData.assign(value);
    }

=== modified file 'src/com/goldencode/p2j/xml/XEntityImpl.java'
--- src/com/goldencode/p2j/xml/XEntityImpl.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/xml/XEntityImpl.java	2022-10-10 15:23:32 +0000
@@ -36,6 +36,7 @@
 **     CA  20211227 GetChild must show an error if the index is not a valid child, and not raise an ERROR 
 **                  condition. 
 **     CA  20221006 UNIQUE-ID is kept as Java type instead of BDT.  Refs #6827
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -604,7 +605,7 @@
     * @return   The integer unique number of node inside document.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(this.uniqueID);
    }

